Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class RenameAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.RenameAction

    public class RenameAction

extends java.lang.Object

Version:
  $Revision: 11111 $
Author:
  Thomas Heute

Field Summary
`PortalObject` | `pageContainer` The page container that will create the child.

Constructor Summary
`RenameAction()`

Method Summary
`java.lang.String` | `execute()`
`java.lang.Object` | `getBean()`
`DomainConfigurator` | `getDomainConfigurator()`
`java.lang.String` | `getNewName()`
`PortalObject` | `getPageContainer()`
`void` | `setBean(java.lang.Object bean)`
`void` | `setDomainConfigurator(DomainConfigurator domainConfigurator)`
`void` | `setNewName(java.lang.String newName)`
`void` | `setPageContainer(PortalObject pageContainer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageContainer

    public PortalObject pageContainer

  The page container that will create the child.

Constructor Detail

### RenameAction

    public RenameAction()

Method Detail

### setNewName

    public void setNewName(java.lang.String newName)

### getNewName

    public java.lang.String getNewName()

### getDomainConfigurator

    public DomainConfigurator getDomainConfigurator()

### setDomainConfigurator

    public void setDomainConfigurator(DomainConfigurator domainConfigurator)

### getPageContainer

    public PortalObject getPageContainer()

### setPageContainer

    public void setPageContainer(PortalObject pageContainer)

### execute

    public java.lang.String execute()

### getBean

    public java.lang.Object getBean()

### setBean

    public void setBean(java.lang.Object bean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD